<?php

namespace Drupal\fileslog\Hook;

use Drupal\Core\Hook\Attribute\Hook;
use Drupal\Core\Routing\RouteMatchInterface;

/**
 * Hooks onto help events.
 */
class Help {

  /**
   * Executes the 'help'-hook.
   */
  #[Hook('help')]
  public function help($route_name, RouteMatchInterface $route_match): ?string {
    if ($route_name === 'help.page.fileslog') {
      return '<h3>' . t('About') . '</h3>'
        . '<p>' . t('The fileslog module saves logs to the private filesystem.') . '</p>';
    }

    return NULL;
  }

}
